Page MenuHomePhabricator

Add button on a form to save and continue editing with Visual Editor
Open, Needs TriagePublic

Description

At the bottom of a form there are 2 buttons

  • one to save and quit (go back to read mode)
  • one just to save and stay on the form

A third button to save the form and switch immediately to whole edition of the page with VisualEditor in one click could be useful especially when freetext is hidden.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 19 2018, 4:36 PM

Yes but this button don't switch to edition mode of the whole page with visual editor for example.

Oh, now I understand. It seems very doubtful that such a button would be created... I don't think it's a big deal for users to just save and then go to a different editing tab.

Yaron_Koren closed this task as Declined.Oct 22 2018, 3:08 AM

I think it could be useful for basic users that don't want to see any wikicode. Forms designers could add it with a key word like
{{{standard input|save and vedit}}}

If I develop this feature myself what is your guidelines to make it accepted on the extension code ?
Thanks

Nicolas_NALLET renamed this task from Add button on a form to save and continue editing with wikitext or Visual Editor to Add button on a form to save and continue editing with Visual Editor.Apr 23 2019, 4:29 PM
Nicolas_NALLET updated the task description. (Show Details)
Envlh removed a subscriber: Envlh.Apr 28 2019, 7:41 PM
Seb35 reopened this task as Open.May 14 2019, 3:00 PM

@Yaron_Koren: @Nicolas_NALLET and I are convinced it could be an interesting feature for users to directly (save and) switch to Visual Editor in the whole page, and this would need a new button {{{standard input|save and vedit}}}.

Technically, if you prefer not to introduce it in the standard version of PageForms, is it possible to add a (PageForms) hook to register a new type of button? We could then use it to create a local micro-extension of PageForms. Such a hook would be in PFFormPrinter::formHTML() preferably in the section standard input processing but instead in the section default outer level processing.

I still don't think this button would be that useful... but I'm always happy to add hooks in to Page Forms. If you come up with a setup of a PF hook + outside code that gets this button to work, just send me a patch for the hook and I'll gladly merge it in.